# Deep network: src/network.hpp File Reference

network.hpp File Reference
`#include <random>`
`#include <list>`
`#include "layers/layer.hpp"`
`#include "dataset.hpp"`
Include dependency graph for network.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Network

## Enumerations

enum | CostFunction { CrossEntropy , Quadratic }

## Enumeration Type Documentation

## CostFunction

enum CostFunction

Enumerator
CrossEntropy |
Quadratic |